#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-hypothesis
Version		:	6.6.1
Release		:	14.8.0.0%{?dist}
Summary		:	Library for property based testing

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv2.0
URL		:	https://github.com/HypothesisWorks/hypothesis

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by
hand. It’s based on the Haskell library, Quickcheck, and is designed
to integrate seamlessly into your existing Python unit testing work
flow.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/extra/*.py
%{python3_sitelib}/%{sname}/extra/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/extra/django/*.py
%{python3_sitelib}/%{sname}/extra/django/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/extra/pandas/*.py
%{python3_sitelib}/%{sname}/extra/pandas/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/internal/*.py
%{python3_sitelib}/%{sname}/internal/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/internal/conjecture/*.py
%{python3_sitelib}/%{sname}/internal/conjecture/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/internal/conjecture/dfa/*.py
%{python3_sitelib}/%{sname}/internal/conjecture/dfa/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/internal/conjecture/shrinking/*.py
%{python3_sitelib}/%{sname}/internal/conjecture/shrinking/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/strategies/*.py
%{python3_sitelib}/%{sname}/strategies/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/strategies/_internal/*.py
%{python3_sitelib}/%{sname}/strategies/_internal/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/*.py
%{python3_sitelib}/%{sname}/utils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vendor/*.txt
%{python3_sitelib}/%{sname}/vendor/*.py
%{python3_sitelib}/%{sname}/vendor/__pycache__/*.pyc

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

pushd hypothesis-python
%{__python}						\
	setup.py					\
	build

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd hypothesis-python
%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}

popd

#-----------------------------------------------------------------------------
%changelog
